import java.rmi.*;
import java.rmi.server.*;

public class HelloClient
{
	public static void main(String args[])
	{
		String message;
		Hello obj;
		
		try {
			// Parameterobjekt erzeugen
			MyParam p = new MyParamImpl(99);

			// Obektreferenz ber Namensdienst besorgen
			obj = (Hello)Naming.lookup("rmi://localhost/Hello-Server");

			// Remote Methode aufrufen

			message = obj.sayHello(p);

			System.out.println(message);

			// Verfgbarkeit von p ber RMI aufheben, damit Client
			// terminieren kann
			UnicastRemoteObject.unexportObject(p, false);
		}
		catch (Exception e) {
			System.out.println("HelloClient: " + e.getMessage());
			e.printStackTrace();
		}
	}
}

